# Uses of Interface
org.xml.sax.XMLReader

Packages that use XMLReader
Package
Description
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
javax.xml.transform.sax
Provides SAX specific transformation classes.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of XMLReader in javax.xml.parsers

Methods in javax.xml.parsers that return XMLReader
Modifier and Type
Method
Description
`abstract XMLReader`
SAXParser.`getXMLReader()`
Returns the `XMLReader` that is encapsulated by the implementation of this class.

## Uses of XMLReader in javax.xml.transform.sax

Methods in javax.xml.transform.sax that return XMLReader
Modifier and Type
Method
Description
`XMLReader`
SAXSource.`getXMLReader()`
Get the XMLReader to be used for the Source.
Methods in javax.xml.transform.sax with parameters of type XMLReader
Modifier and Type
Method
Description
`void`
SAXSource.`setXMLReader(XMLReader reader)`
Set the XMLReader to be used for the Source.
Constructors in javax.xml.transform.sax with parameters of type XMLReader
Modifier
Constructor
Description
``
`SAXSource(XMLReader reader, InputSource inputSource)`
Create a `SAXSource`, using an `XMLReader` and a SAX InputSource.

## Uses of XMLReader in org.xml.sax

Subinterfaces of XMLReader in org.xml.sax
Modifier and Type
Interface
Description
`interface`
`XMLFilter`
Interface for an XML filter.
Methods in org.xml.sax that return XMLReader
Modifier and Type
Method
Description
`XMLReader`
XMLFilter.`getParent()`
Get the parent reader.
Methods in org.xml.sax with parameters of type XMLReader
Modifier and Type
Method
Description
`void`
XMLFilter.`setParent(XMLReader parent)`
Set the parent reader.

## Uses of XMLReader in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement XMLReader
Modifier and Type
Class
Description
`class`
`ParserAdapter`
Adapt a SAX1 Parser as a SAX2 XMLReader.
`class`
`XMLFilterImpl`
Base class for deriving an XML filter.
Methods in org.xml.sax.helpers that return XMLReader
Modifier and Type
Method
Description
`static XMLReader`
XMLReaderFactory.`createXMLReader()`
Deprecated.
Obtains a new instance of a `XMLReader`.
`static XMLReader`
XMLReaderFactory.`createXMLReader(String className)`
Deprecated.
Attempt to create an XML reader from a class name.
`XMLReader`
XMLFilterImpl.`getParent()`
Get the parent reader.
Methods in org.xml.sax.helpers with parameters of type XMLReader
Modifier and Type
Method
Description
`void`
XMLFilterImpl.`setParent(XMLReader parent)`
Set the parent reader.
Constructors in org.xml.sax.helpers with parameters of type XMLReader
Modifier
Constructor
Description
``
`XMLFilterImpl(XMLReader parent)`
Construct an XML filter with the specified parent.
``
`XMLReaderAdapter(XMLReader xmlReader)`
Create a new adapter.